//
//  Global.h
//  RealEstateManagement
//
//  Created by Javen on 2017/2/23.
//  Copyright © 2017年 上海勾芒信息科技. All rights reserved.
//
#ifndef Global_h
#define Global_h


#define kWindow [UIApplication sharedApplication].keyWindow
#define kBounds [UIScreen mainScreen].bounds
#define kWidth [UIScreen mainScreen].bounds.size.width
#define kHeight [UIScreen mainScreen].bounds.size.height
#define kAutoValue(value) (float) value / 375 * kWidth
#define WS(weakSelf) __weak __typeof(&*self) weakSelf = self
#define kPlaceHolderImage [UIImage imageNamed:@"PlaceHolder_image"]

#define IBT_IOS7_OR_LATER ([[[UIDevice currentDevice] systemVersion] compare:@"7.0"] != NSOrderedAscending)

// 判断是否请求成功
#define kIsResponse [responseObject[@"message"] isEqualToString:@"ok"] && responseObject != nil
#define IsNotNullObject(Object) ![(Object) isKindOfClass:[NSNull class]]
#define SAFE_STRING(string) [string isKindOfClass:[NSString class]] && string.length > 0 ? string : @""
#define kNotNullContent(string) [string isKindOfClass:[NSString class]] && string.length > 0 ? string : @"暂无"
#define kDecimalString(string) [NSString stringWithFormat:@"%.2f", string]

//收起键盘
#define HIDE_KEYBOARD [[UIApplication sharedApplication].keyWindow endEditing:YES]

#ifdef DEBUG
#define CLog(format, ...) printf("class: <%p %s:(%d) > method: %s \n%s\n", self, [[[NSString stringWithUTF8String:__FILE__] lastPathComponent] UTF8String], __LINE__, __PRETTY_FUNCTION__, [[NSString stringWithFormat:(format), ##__VA_ARGS__] UTF8String])
#else
#define CLog(format, ...)
#endif

#define ZJLazy(arr)                        \
    -(NSMutableArray *) arr {              \
        if (!_##arr) {                       \
            _##arr = [NSMutableArray array]; \
        }                                  \
        return _##arr;                  \
    }
#define ZJNSNumberString(string) string.length > 0 ? [NSDecimalNumber decimalNumberWithString:string] : nil;
#endif /* Global_h */
